Index: /trunk/src/world_entities/spawning_point.cc
===================================================================
--- /trunk/src/world_entities/spawning_point.cc	(revision 9493)
+++ /trunk/src/world_entities/spawning_point.cc	(revision 9494)
@@ -178,5 +178,5 @@
       }
 
-      if ( found && SharedNetworkData::getInstance()->isMasterServer() || SharedNetworkData::getInstance()->isProxyServer())
+      if ( found && SharedNetworkData::getInstance()->isMasterServer() /*|| SharedNetworkData::getInstance()->isProxyServerActive()*/)
         this->sendRespawnMessage( it->entity->getUniqueID() );
 
@@ -201,5 +201,5 @@
  * Just override this function with whatever you want to be drawn.
  */
-void SpawningPoint::draw()
+void SpawningPoint::draw() const
 {
 }
@@ -213,10 +213,10 @@
   assert( Converter::intToByteArray( uniqueId, buf + INTSIZE, INTSIZE ) == INTSIZE );
 
-  MessageManager::getInstance()->sendMessage( MSGID_RESPAWN, buf, 2*INTSIZE, RT_ALL_NOT_ME, 0, MP_HIGHBANDWIDTH );
+  MessageManager::getInstance()->sendMessage( MSGID_RESPAWN, buf, 2*INTSIZE, RT_ALL_BUT_ME, 0, MP_HIGHBANDWIDTH );
 }
 
 bool SpawningPoint::respawnMessageHandler( MessageId messageId, byte * data, int dataLength, void * someData, int userId )
 {
-  if ( SharedNetworkData::getInstance()->isMasterServer() || SharedNetworkData::getInstance()->isProxyServer())
+  if ( SharedNetworkData::getInstance()->isMasterServer() /*|| SharedNetworkData::getInstance()->isProxyServerActive()*/)
   {
     PRINTF(2)("server received spawn message!\n");
Index: /trunk/src/world_entities/spawning_point.h
===================================================================
--- /trunk/src/world_entities/spawning_point.h	(revision 9493)
+++ /trunk/src/world_entities/spawning_point.h	(revision 9494)
@@ -50,6 +50,6 @@
     virtual void loadParams(const TiXmlElement* root);
 
-    inline int getTeamId(){ return this->teamId; }
-    inline void setTeamId( int teamId ){ this->teamId = teamId; }
+    inline int getTeamId() const { return this->teamId; }
+    inline void setTeamId( int teamId ) { this->teamId = teamId; }
 
     void pushEntity(Playable* entity, float delay = 0);
@@ -63,10 +63,10 @@
 
     virtual void tick(float dt);
-    virtual void draw();
+    virtual void draw() const;
 
 
   private:
     void spawn(Playable* entity);
-    
+
     void sendRespawnMessage( int uniqueId );
     static bool respawnMessageHandler( MessageId messageId, byte * data, int dataLength, void * someData, int userId );
Index: /trunk/src/world_entities/world_entity.cc
===================================================================
--- /trunk/src/world_entities/world_entity.cc	(revision 9493)
+++ /trunk/src/world_entities/world_entity.cc	(revision 9494)
@@ -257,6 +257,9 @@
 bool WorldEntity::buildObbTree(int depth)
 {
-  if (this->obbTree)
+  if( this->obbTree != NULL)
+  {
     delete this->obbTree;
+    this->obbTree = NULL;
+  }
 
   if (this->models[0] != NULL)
@@ -280,4 +283,10 @@
     this->aabbNode = new AABBTreeNode();
     this->aabbNode->spawnBVTree(this->models[0]);
+  }
+  else
+  {
+    PRINTF(1)("could not create aabb bounding box, because no model was loaded yet\n");
+    this->aabbNode = NULL;
+    return false;
   }
   return true;
